﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Threading;

namespace httplistener_console
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                HttpListener listener = new HttpListener();

                //The listeningURL will hold the listening URL
                string listeningURL = "http://+:8080/";
                listener.Prefixes.Add(listeningURL);
                listener.Start();
                Console.WriteLine("Ozeki HTTP server - Listening started at {0}", listeningURL);

                while (listener.IsListening)
                {
                    HttpListenerContext context = listener.GetContext();

                    try
                    {
                        Thread t = new Thread(() =>
                        {
                            //Querying the sender address
                            string sender = context.Request.QueryString["sender"];
                            //"message" variable holds the response message
                            string message = "Thank you for your message";

                            string response = "{SMS:TEXT}{}{+1234657}{" + sender + "}{" + message + "}";
                            byte[] Buffer = System.Text.Encoding.UTF8.GetBytes(response);
                            context.Response.ContentType = "text/html; charset=utf-8";
                            context.Response.OutputStream.Write(Buffer, 0, Buffer.Length);
                            context.Response.Close();

                            //writing the sent message into the console
                            Console.WriteLine("Message sent to {0}. Data: {1}", sender, message);
                            Console.ReadLine();

                        });
                        t.Start();
                        t.Abort();
                    }
                    catch (Exception e)
                    {
                        Console.WriteLine(e.Message);
                    }

                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }   
        


    }
}


